clear;
clc;

T=0.01;
[b,a]=butter(2,0.2,'low');
F=tf(b,a,T);

%%
figure;
subplot(3,1,1)
plot(systemdata.time,systemdata.signals(1).values)
legend('Input', 'Response')
title('Position')
grid on

subplot(3,1,2)
plot(systemdata.time,systemdata.signals(2).values)
legend('Error')
title('Error')
grid on

subplot(3,1,3)
plot(systemdata.time,systemdata.signals(3).values)
legend('Acc')
title('Acc with Filter')
grid on

%%
figure;
plot(Velocity.time,Velocity.signals.values,'LineWidth',1.5);
grid on
legend('Velocity')
title('Velocity')
xlabel('Time');
ylabel('Rpm');

%%
close all;
figure;
plot(SBIO.time,SBIO.signals(1).values,'b-.','LineWidth',1.5);
hold on;
plot(SBIO.time,SBIO.signals(2).values,'LineWidth',1.5);
legend('Input', 'Response');
title('Position');
grid on;
xlabel('Time (sec)');
ylabel('Angle (Degree)')
ylim([-70 70]);

figure;
subplot(2,1,1);
plot(SBCE.time,SBCE.signals(1).values,'LineWidth',1.5);
grid on;
legend('Control Effort');
title('Control Effort');
xlabel('Time');
% ylabel('Degree');
ylim([-15 15]);

subplot(2,1,2);
plot(SBCE.time,SBCE.signals(2).values,'r','LineWidth',1.5);
grid on;
legend('Error');
title('Error');
xlabel('Time');
ylabel('Angle (Degree)');

figure;
plot(Velocity.time,Velocity.signals.values,'LineWidth',1.5);
grid on
legend('Velocity')
title('Velocity')
xlabel('Time (sec)');
ylabel('Rpm');

%%
close all;
figure;
subplot(3,1,1);
plot(out.velocity.time,out.velocity.signals(1).values,'LineWidth',1.5);
grid on;
subplot(3,1,2);
plot(out.velocity.time,out.velocity.signals(2).values,'LineWidth',1.5);
grid on;
subplot(3,1,3);
plot(out.velocity.time,out.velocity.signals(3).values,'LineWidth',1.5);
grid on
legend('Velocity')
title('Velocity')
xlabel('Time (sec)');
ylabel('Rpm');